# panormos / survey-data / scripts

Scripts contained here are used to clean and process core survey data. In the published
version of these dataset, the canonical datasets have already been generated, but the
scripts are provided here for reference to see what has been corrected between raw and
'corrected' canonical versions.

These scripts are `R` scripts. On a debian (and alike) you can directly execute
them.  Otherwise, in a shell you should run

```
   Rscript --vanilla path/to/file.R
```

# `cleaning_` scripts (i.e. generating 'canonical' versions)

These scripts import the raw data from ODK input CSV files on a per-year and per-form
basis, combine them together and wrangle so that they have easily readable column
or variable formats.

Cleaning scripts must be run in order as some use canonical data exported by earlier
script. Use `make cleaning` (via the Makefile) to run all the scripts in the right order
for convenience.

# `redact_` Scripts

These scripts

# Other

- `generate_etudluk_listesi.R` - is a convenience script used to generate the end of
seasons etudluk list based on find data from a selected year.
