- Release version: panomos/survey-data, 0.2.0 (revision af0818cd17d6ad8e4c129101bd620165c21fbbbb)

- Release date: 			17th July 2020
- Observation Phase expiry: 	_30th September 2024_
- Authorship/rights (contact): 	Toby C. Wilkinson, Néhémie Strupler, Anja Slawisch (data.request@panormos.de or data.request@projectpanormos.com)

Applies to: 			`panormos/survey-data` repository (release version as specified above)


# Open Data Release License

The data contained in this repository is licensed under two-tier time-limited
Creative Commons license system. Based on the release/publication data of the
data, the first license (the "Observation Phase") applies up to an expiry date
specified in the top or bottom of this license file (normally 5 years after
the data's production period).

After this date, the second license (the "Open Phase") applies, which provides m
ore freedom for re-use and integration into other projects or applications.

Note that later releases of this data with updated data will likely include an
updated expiry date for the Observation Phase, so you should refer to the
LICENSE file on a per release version basis.

## License 1: Observation Phase (time limited, no derivatives)

The first license enables the data to be examined, reviewed and redistributed
unaltered in an identifiable form on condition of due attribution to the authors
or right holders. From an academic point of view this means that derivative
works (i.e. works which use this data as their main or partial evidential
base) are not allowed without express permission of the authors or rights
holders. This is to allow the data producers to submit original primary
publications within a reasonable and defined time for appropriate academic credit.

The license applicable during the Observation Phase is:

`CC BY-ND (Creative Commons, attribution, no-derivatives)`

For full details see: https://creativecommons.org/licenses/by-nd/4.0/


## License 2: Open Phase (after expiry of Observation Phase, derivatives allowed)

The second license, which takes effect after the expiry of the first license,
enables data to be examined, reviewed, redistributed and derivative works
which alter or re-use the data in different forms or formats are allowed,
provided the original source is cited and changes acknowledged.

The license applicable during the Observation Phase is:

`CC BY (Creative Commons, attribution)`

For full details see: https://creativecommons.org/licenses/by/4.0/


```This document should specify the release version, a release date of this
version of the data and expiry date for the Observation Phase.```
